<template>
    <div v-if="product" >
        <div class="row">
            <div class="col-3" style="position: unset;">
                <img :src=product.coverImage class="img-fluid rounded"/>
            </div>
            <div class="col-9">
                <table class="table table-borderless table-sm" style="font-size:12px;">
                    <tbody>
                        <tr>
                            <td>
                                <h5>Ref {{product.refart}} 
                                    <a target="_blank" class="btn btn-secondary btn-sm shadow rounded">
                                        Historique <i class="fas fa-external-link-alt"></i>
                                    </a>
                                </h5> 
                            </td>
                        </tr>
                        <tr>
                            <td>
 
                            </td>
                        </tr>
                        <tr>
                            <td>
                                Fournisseur: {{product.nom_fournisseur}} [{{product.fournisseur}}]
                                <span v-if="product.statut ==='Commercialisé'"  class="badge badge-pill badge-success">{{product.statut}}</span>
                                <span v-else class=" badge badge-pill badge-danger">{{product.statut}}</span>

                            </td>
                        </tr>
                        <tr>
                            <td>Nomenclature: {{product.nomencl}}</td>
                        </tr>
                        <tr>
                            <td>SEO:
                              
                            </td>
                        </tr>
                        <tr>
                            <td>En vente depuis: {{product.cbCreation}}</td>
                        </tr>
                        <tr>
                            <td>Blocage Web : {{product.BLOCAGE_VENTE_WEB}}</td>
                        </tr>
                        <tr>
                            <td>Dispo fourni : {{product.dispo_fournisseur}}</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <div v-else>
        loader...
    </div>
</template>

<script lang="ts">
import { getProduct } from './product.api';

export default {
    props:{
        id : {
            type : String,
            required : true,
        }
    },
    data(){
        return {
            ref: '',
            product:{
                refart:"",
                name:"",
                statut:"",
                nomencl:"",
                fournisseur:"",
                delai_fournisseur:"",
                methode_vente:"",
                ldf:"",
                en_sommeil:"",
                nom_fournisseur:"",
                categorie_web:"",
                url:"",
                coverImage:"",
                descriptionLength:"",
                imagesCount:"",
                dispo_fournisseur:"",
                INTITULE_LATIN:"",
                cbCreation:"",
                BLOCAGE_VENTE_WEB:""
            }
        }
    },
    watch: {
    // whenever question changes, this function will run
        id() {
            this.getProduct()
        }
    },
    async mounted(){
        this.getProduct()
    },
    methods:{
        async getProduct()
        {
            this.ref =this.$props.id;
            const [error , data] = await getProduct(this.ref);
            if (error) console.error(error);
            else {
                this.$emit('get-name', data.name)
                this.product = data  
            };
        }
    }


}
</script>

<style>

</style>